UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMSourceAttributes Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMSourceAttributes:

## Public Member Functions
| LBMSourceAttributes () throws LBMException
| LBMSourceAttributes (String contextName, String topic) throws LBMException
void | setFromXml (String contextName, String topic) throws LBMException
void | dispose ()
LBMConfigOption[] | dumpAttributeList ()
String | getValue (String attributeName) throws LBMException
void | setValue (String attributeName, String attributeValue) throws LBMException
Object | setProperty (String attributeName, String attributeValue)
void | load (InputStream inStream) throws IOException
void | setObjectRecycler (LBMObjectRecyclerBase objRec, Object objRecCbArg)
void | setMessageReclamationCallback (LBMMessageReclamationCallback cb, Object cbArg)
UMEStoreEntry[] | getStores ()
UMEStoreGroupEntry[] | getStoreGroups ()

## Protected Member Functions
void | finalize ()

## Detailed Description

Encapsulates the set of default LBM source attributes.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMSourceAttributes.LBMSourceAttributes | ( |  | ) | throws LBMException

Create and fill an LBMSourceAttributes object with the current default values

Exceptions

  LBMException |

com.latencybusters.lbm.LBMSourceAttributes.LBMSourceAttributes | ( | String | contextName,
|  | String | topic
| ) |  | throws LBMException

Create and fill an LBMSourceAttributes object with the current default values for the given context name and source topic name.

Parameters

  contextName | Context name string.
  topic | Source topic name string.

Exceptions

  LBMException | if the context name and / or source topic name is not permitted by the configuration or other operational failure.

## Member Function Documentation

void com.latencybusters.lbm.LBMSourceAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes.

Referenced by com.latencybusters.lbm.LBMSourceAttributes.finalize().

LBMConfigOption [] com.latencybusters.lbm.LBMSourceAttributes.dumpAttributeList | ( |  | ) |

Returns an array of LBMConfigOptions

Returns
  Array of LBMConfigOption

void com.latencybusters.lbm.LBMSourceAttributes.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMSourceAttributes.dispose().

UMEStoreGroupEntry [] com.latencybusters.lbm.LBMSourceAttributes.getStoreGroups | ( |  | ) |

Gets an array of the UME store groups this source has configured.

Returns
  An array of UMEStoreGroupEntry objects. Each member of the array contains information about a different UME store group.

Since
  UME 2.0

UMEStoreEntry [] com.latencybusters.lbm.LBMSourceAttributes.getStores | ( |  | ) |

Gets an array of the UME stores this source has configuration entries for.

Returns
  An array of UMEStoreEntry objects. Each member of the array contains information about a different UME store.

Since
  UME 2.0

String com.latencybusters.lbm.LBMSourceAttributes.getValue | ( | String | attributeName | ) | throws LBMException

Returns the current value of an attribute from this set of source-related attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Returns
  Value corresponding to the specified attribute name

Exceptions

  LBMException | if `attributeName` is not a valid attribute.

void com.latencybusters.lbm.LBMSourceAttributes.load | ( | InputStream | inStream | ) | throws IOException

Reads a property (attribute) list (key and element pairs) from the input stream.

Parameters

  inStream | Input stream of bytes

Exceptions

  IOException | if any I/O error occurs.
  LBMRuntimeException | if any invalid attribute is detected in `inStream`.

References com.latencybusters.lbm.LBMSourceAttributes.setProperty().

void com.latencybusters.lbm.LBMSourceAttributes.setFromXml | ( | String | contextName,
|  | String | topic
| ) |  | throws LBMException

Fill an LBMSourceAttributes object with the default values specified by the XML configuration for the given context name and source topic name.

Parameters

  contextName | Context name string.
  topic | Source topic name string.

Exceptions

  LBMException | if the context name and / or source topic name is not permitted by the configuration or other operational failure.

void com.latencybusters.lbm.LBMSourceAttributes.setMessageReclamationCallback | ( | LBMMessageReclamationCallback | cb,
|  | Object | cbArg
| ) |  |

Register a callback interface (and a callback handle argument) to be called when a message is forcibly reclaimed from the collection of retained messages on a UME source (UME only). This callback is called directly in line and does not use the event queue; therefore, the callback function used should not block or it will block the context thread processing.

Parameters

  cb | An object implementing the LBMMessageReclamationCallback interface
  cbArg | Callback object passed as a token to the callback interface

See also
  LBMRegistrationIdCallback

void com.latencybusters.lbm.LBMSourceAttributes.setObjectRecycler | ( | LBMObjectRecyclerBase | objRec,
|  | Object | objRecCbArg
| ) |  |

Set the LBM object recycler that can be used by the context to reuse LBMMessage objects as well as LBM Context/Receiver/Source Statistics objects.

Parameters

  objRec | an LBM object recycler that will be called when objects need to be retrieved
  objRecCbArg | a callback object token that will be passed in the retrieve method

Object com.latencybusters.lbm.LBMSourceAttributes.setProperty | ( | String | attributeName,
|  | String | attributeValue
| ) |  |

Set the current value of an attribute in this set of source-related attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMRuntimeException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

References com.latencybusters.lbm.LBMSourceAttributes.setValue().

Referenced by com.latencybusters.lbm.LBMSourceAttributes.load().

void com.latencybusters.lbm.LBMSourceAttributes.setValue | ( | String | attributeName,
|  | String | attributeValue
| ) |  | throws LBMException

FOR INTERNAL INFORMATICA USE ONLY - NOT FOR DIRECT APPLICATION USEAGE. Applications should use setProperty() instead. Set the current value of an attribute in this set of source-related attributes. Note that this method bypasses the property list. As such no attributes configured using this method will appear in the property list.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

See also
  setProperty

Referenced by com.latencybusters.lbm.LBMSourceAttributes.setProperty().

The documentation for this class was generated from the following file:

- LBMSourceAttributes.java